Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.dd
Class StatusProxy

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.dd.StatusProxy

    public class StatusProxy

extends JsObject

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`StatusProxy()`
`StatusProxy(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`Layer` | `getEl()` Returns the underlying proxy `Layer`.
`ExtElement` | `getGhost()` Returns the ghost element.
`void` | `hide()`
`void` | `hide(boolean clear)`
`void` | `reset()`
`void` | `reset(boolean clearGhost)`
`void` | `setStatus(java.lang.String cssClass)`
`void` | `show()`
`void` | `stop()`
`void` | `sync()`
`void` | `update(java.lang.String html)`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusProxy

    public StatusProxy(com.google.gwt.core.client.JavaScriptObject jsObj)

### StatusProxy

    public StatusProxy()

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

### getEl

    public Layer getEl()

  Returns the underlying proxy `Layer`.

  Returns:
    the underlying proxy Layer

### getGhost

    public ExtElement getGhost()

  Returns the ghost element.

  Returns:
    the ghost element

### hide

    public void hide()

### hide

    public void hide(boolean clear)

### reset

    public void reset()

### reset

    public void reset(boolean clearGhost)

### setStatus

    public void setStatus(java.lang.String cssClass)

### show

    public void show()

### stop

    public void stop()

### sync

    public void sync()

### update

    public void update(java.lang.String html)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD